Package com.independentsoft.office.odf

# Class ConfigurationItemMapNamed

java.lang.Object
com.independentsoft.office.odf.ConfigurationItemMapNamed

All Implemented Interfaces:
  `IConfigurationItem`

public class ConfigurationItemMapNamed extends Object implements IConfigurationItem
Represents a sequence of application setting elements. Each sequence is identified by the value of its name attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationItemMapNamed()`
  Initializes a new instance of the ConfigurationItemMapNamed class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationItemMapNamed`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<ConfigurationItemMapEntry>`
  `getItems()`
  Contains a collection of ConfigurationItemMapEntry objects.
  `String`
  `getName()`
  Gets the name of an application setting, an application setting sequence, or an application setting container.
  `void`
  `setName​(String name)`
  Sets the name of an application setting, an application setting sequence, or an application setting container.
  `String`
  `toString()`
  Converts the value of the current ConfigurationItemMapNamed object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationItemMapNamed

    public ConfigurationItemMapNamed()
    Initializes a new instance of the ConfigurationItemMapNamed class.

- ## Method Details

  - ### clone

    public ConfigurationItemMapNamed clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IConfigurationItem`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ConfigurationItemMapNamed object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of an application setting, an application setting sequence, or an application setting container.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of an application setting, an application setting sequence, or an application setting container.
    Parameters:
      `name` - the new name

  - ### getItems

    public List<ConfigurationItemMapEntry> getItems()
    Contains a collection of ConfigurationItemMapEntry objects.
    Returns:
      the items